complexType "CommoditySwap"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 17 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, effectiveDate?, terminationDate?, settlementCurrency?, (fixedLeg? | floatingLeg? | coalPhysicalLeg? | electricityPhysicalLeg? | gasPhysicalLeg? | oilPhysicalLeg? | additionalCommoditySwapLeg?)+, (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?
</...>

Content Model Elements (17):

  additionalCommoditySwapLeg, assetClass (defined in Product.model group), coalPhysicalLeg, commonPricing, effectiveDate (in commoditySwap), electricityPhysicalLeg, fixedLeg (in commoditySwap), floatingLeg, gasPhysicalLeg, | marketDisruption (defined in CommodityContent.model group), oilPhysicalLeg, productId (defined in Product.model group), productType (defined in Product.model group), rounding (defined in CommodityContent.model group), settlementCurrency (in commoditySwap), settlementDisruption, terminationDate (in commoditySwap)

All Direct / Indirect Based Elements (1):

  commoditySwap

Known Usage Locations

- As direct type of elements (1):
  commoditySwap

Annotation
Commodity Swap.
Type Definition Detail

Type Derivation Tree Product (extension) CommoditySwap

XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="CommoditySwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="fixedLeg" type="FixedPriceLeg"/> <xsd:element minOccurs="0" name="floatingLeg" type="FloatingPriceLeg"/> <xsd:element minOccurs="0" name="coalPhysicalLeg" type="CoalPhysicalLeg"/> <xsd:element minOccurs="0" name="electricityPhysicalLeg" type="ElectricityPhysicalLeg"/> <xsd:element minOccurs="0" name="gasPhysicalLeg" type="GasPhysicalLeg"/> <xsd:element minOccurs="0" name="oilPhysicalLeg" type="OilPhysicalLeg"/> <xsd:element minOccurs="0" ref="additionalCommoditySwapLeg"/> </xsd:choice> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/17)
additionalCommoditySwapLeg

  Type: | Leg, empty content
  Abstract: | (may not be used directly in instance XML documents)

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="additionalCommoditySwapLeg"/>

coalPhysicalLeg

  Type: | CoalPhysicalLeg, complex content

  Physically settled coal leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="coalPhysicalLeg" type="CoalPhysicalLeg"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

electricityPhysicalLeg

  Type: | ElectricityPhysicalLeg, complex content

  Physically settled electricity leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="electricityPhysicalLeg" type="ElectricityPhysicalLeg"/>

fixedLeg

  Type: | FixedPriceLeg, complex content

  Fixed Price Leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedLeg" type="FixedPriceLeg"/>

floatingLeg

  Type: | FloatingPriceLeg, complex content

  Floating Price leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingLeg" type="FloatingPriceLeg"/>

gasPhysicalLeg

  Type: | GasPhysicalLeg, complex content

  Physically settled natural gas leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="gasPhysicalLeg" type="GasPhysicalLeg"/>

oilPhysicalLeg

  Type: | OilPhysicalLeg, complex content

  Physically settled oil or refined products leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="oilPhysicalLeg" type="OilPhysicalLeg"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency into which the Commodity Swap Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted on a given floating leg of the Commodity Swap Transaction, then an FX rate should also be specified for that leg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.